% Sets the simulation configuration settings on all the models

function [] = SCDconf_setSIMconf()
    disp('Setting configurationSettings = configurationSettingsSIM in configurations.sldd ...');
    d=Simulink.data.dictionary.open('configurations.sldd');
    dd=getSection(d, 'Configurations');
    activeconf=dd.getEntry('configurationSettings');
    simconf=dd.getEntry('configurationSettingsSIM');
    configurationSettings=simconf.getValue;
    configurationSettings.Name='configurationSettings';
    activeconf.deleteEntry;
    dd.addEntry('configurationSettings',configurationSettings);
end

    